Subject: Subscription?

From: [email-masked] (Eric B Peterson)
Date: 10 Oct 1993 17:58:36 GMT

Someone was trying to unsubscribe to this group a few days ago,
so now I am wondering how to subscribe myself; Cleveland Freenet
is the only place I have found this group in Usenet.  Does anyone
know of other discussion groups or network publications dealing
with mycology? (Besides MICRONET)
Thanks for any info,
-- 
***Doing strange things in the name of art AND science...         
Eric B. Peterson (Ick)            :?  [email-masked]
895 7th Street                    :)  [email-masked]   
Arcata CA 95521    (707)822-0213  %|  [email-masked]

---

From: [email-masked] (Jim Veselenak)
Date: 11 Oct 93 01:58:20 GMT

> with mycology? (Besides MICRONET)

Could someone provide info on MICRONET.  I am not familiar with it.

--
   ___________________________________________________________________
  |                              |                                    |
  |        Jim Veselenak         | There are old mushroom hunters     |
  |   Sangamon State University  |   There are bold mushroom hunters  |
  |  [email-masked] |     But there are no old, bold     |
  |        217-786-7346          |        mushroom hunters!           |
  |______________________________|____________________________________|